members.dev
ApiCredit notes

List Credit Notes

Lists Credit Notes

GET
/v1/credit-notes

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

status?|

Filter by credit note status.

member_id?array<>|

Filter by member ID. Repeat the parameter for multiple members.

subscription_id?|

Filter to notes with at least one line on this subscription's billing periods.

subscription_billing_period_id?|

Filter to notes with a line on this billing period.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/credit-notes"
{
  "items": [
    {
      "id": "string",
      "credit_note_number": "CN-12",
      "member_id": "string",
      "currency": "string",
      "amount": 0,
      "allocated_amount": 0,
      "remaining_amount": 0,
      "status": "open",
      "lines": [
        {
          "id": "string",
          "subscription_billing_period_id": "string",
          "subscription_id": "string",
          "description": "string",
          "quantity": 0,
          "unit_amount": 0,
          "amount": 0,
          "sort_order": 0,
          "created_at": null,
          "updated_at": null
        }
      ],
      "allocations": [
        {
          "id": "string",
          "amount": 0,
          "currency": "str",
          "type": "invoice_application",
          "invoice_id": "string",
          "created_at": null,
          "updated_at": null
        }
      ],
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}